using System.Numerics;

namespace SlatedGameToolkit.Framework.Graphics.Render
{
    public class Camera2D : Camera {
        public new Vector2 Position {
            get {
                return new Vector2(base.Position.X, base.Position.Y);
            }

            set {
                base.Position = new Vector3(value, 0);
            }
        }

        public Camera2D() {
            this.Orthographic = true;
            this.Up = Vector3.UnitY;
            this.LookAt = new Vector3(0, 0, 1);
        }
    }
}