using System;
using System.IO;
using System.Reflection;

namespace SlatedGameToolkit.Framework.Graphics.Shaders {
    public class NormalVertexShader : GLShader
    {
        private GLVertexShader shader;

        public NormalVertexShader() {
            using (Stream stream = Assembly.GetExecutingAssembly().GetManifestResourceStream("SlatedGameToolkit.Framework.Resources.default.vert"))
            {
                using (StreamReader reader = new StreamReader(stream)) {
                    shader = new GLVertexShader(reader.ReadToEnd());
                }                
            }
            Handle = shader.Handle;
        }
    }
}