#version 330 core
in vec3 aPosition;
in vec4 aColor;
in vec2 aTexCoord;
uniform mat4 models;
uniform mat4 view;
uniform mat4 projection;
out vec2 texCoord;
out vec4 color;

void main()
{
    texCoord = aTexCoord;
    color = aColor;
    
    gl_Position = projection * view * models * vec4(aPosition, 1.0f);
}