using System;
using System.IO;
using System.Reflection;

namespace SlatedGameToolkit.Framework.Graphics.Shaders
{
    public class NormalFragmentShader : GLShader
    {
        private GLFragmentShader shader;
        public NormalFragmentShader() {
            using (Stream stream = Assembly.GetExecutingAssembly().GetManifestResourceStream("SlatedGameToolkit.Framework.Resources.default.frag"))
            {
                using (StreamReader reader = new StreamReader(stream))
                {
                    shader = new GLFragmentShader(reader.ReadToEnd());
                }
            }
            this.Handle = shader.Handle;
        }
    }
}